## org.apache.poi.hwpf.usermodel
Class Table

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Range
          org.apache.poi.hwpf.usermodel.Table

    public final class Table

extends Range

Field Summary

Fields inherited from class org.apache.poi.hwpf.usermodel.Range
`_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

Method Summary
`TableRow` `getRow(int index)`
`int` `getTableLevel()`
`int` `numRows()`
`protected void` `reset()` resets the list indexes.
`int` `type()` This method is used to determine the type.

Methods inherited from class org.apache.poi.hwpf.usermodel.Range

`adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertAfter, insertAfter, insertAfter, insertAfter, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, sanityCheck, stripFields, text, toString, usesUnicode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRow

    public TableRow getRow(int index)

### getTableLevel

    public int getTableLevel()

### numRows

    public int numRows()

### reset

    protected void reset()

  Description copied from class: `Range`
  resets the list indexes.

  Overrides:
    `reset` in class `Range`

### type

    public int type()

  Description copied from class: `Range`
  This method is used to determine the type. Handy for switch statements compared to the instanceof operator.

  Overrides:
    `type` in class `Range`
  Returns:
    A TYPE constant.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.